"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = __importDefault(require("axios"));
const execute_1 = __importDefault(require("./execute"));
const definition_1 = __importDefault(require("./definition"));
exports.default = (config) => {
    const instance = axios_1.default.create(config);
    return {
        /**
         * HTTP 客户端
         */
        instance,
        /**
         * 流程定义相关接口
         */
        definition: (0, definition_1.default)(instance),
        /**
         * 流程实例相关接口
         */
        execute: (0, execute_1.default)(instance),
    };
};
